Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 511150 - sci-libs/scalapack-2.0.2 USE=static-libs - make[2]: *** No rule to make target `lib/liblapack.a', needed by `PBLAS/TESTING/cpb1tst'. Stop.
Summary: sci-libs/scalapack-2.0.2 USE=static-libs - make[2]: *** No rule to make targe...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-23 23:10 UTC by rmrmg
Modified: 2020-04-30 04:55 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log.bz2 (build.log.bz2,59.38 KB, application/x-bzip)
2014-05-24 22:55 UTC, rmrmg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description rmrmg 2014-05-23 23:10:00 UTC
Compilation of scalapack with USE=static-libs fails with error presented below. Without static-libs USE flag package can be compiled without any problem.

[ 69%] Completed 'lapack'
/usr/bin/cmake -E make_directory /var/tmp/portage/sci-libs/scalapack-2.0.2/work/scalapack-2.0.2_build/CMakeFiles
/usr/bin/cmake -E touch /var/tmp/portage/sci-libs/scalapack-2.0.2/work/scalapack-2.0.2_build/CMakeFiles/lapack-complete
/usr/bin/cmake -E touch /var/tmp/portage/sci-libs/scalapack-2.0.2/work/scalapack-2.0.2_build/dependencies/src/lapack-stamp/lapack-done
make[2]: Leaving directory `/var/tmp/portage/sci-libs/scalapack-2.0.2/work/scalapack-2.0.2_build'
/usr/bin/cmake -E cmake_progress_report /var/tmp/portage/sci-libs/scalapack-2.0.2/work/scalapack-2.0.2_build/CMakeFiles 
[ 69%] Built target lapack
make[1]: Leaving directory `/var/tmp/portage/sci-libs/scalapack-2.0.2/work/scalapack-2.0.2_build'
make: *** [all] Error 2
 * ERROR: sci-libs/scalapack-2.0.2::gentoo failed (compile phase):
 *   emake failed
 * 
 * If you need support, post the output of `emerge --info '=sci-libs/scalapack-2.0.2::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=sci-libs/scalapack-2.0.2::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/sci-libs/scalapack-2.0.2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sci-libs/scalapack-2.0.2/temp/environment'.
 * Working directory: '/var/tmp/portage/sci-libs/scalapack-2.0.2/work/scalapack-2.0.2_build'
 * S: '/var/tmp/portage/sci-libs/scalapack-2.0.2/work/scalapack-2.0.2'

>>> Failed to emerge sci-libs/scalapack-2.0.2, Log file:

>>>  '/var/tmp/portage/sci-libs/scalapack-2.0.2/temp/build.log'

 * Messages for package sci-libs/scalapack-2.0.2:

 * ERROR: sci-libs/scalapack-2.0.2::gentoo failed (compile phase):
 *   emake failed
 * 


# emerge --info '=sci-libs/scalapack-2.0.2::gentoo'
Portage 2.2.8-r1 (default/linux/amd64/13.0, gcc-4.7.3, glibc-2.17, 3.12.13-gentoor1 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.12.13-gentoor1-x86_64-Intel-R-_Xeon-R-_CPU_E5-2690_v2_@_3.00GHz-with-gentoo-2.2
KiB Mem:   330183176 total, 316196748 free
KiB Swap:          0 total,         0 free
Timestamp of tree: Fri, 23 May 2014 20:15:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
app-shells/bash:          4.2_p45
dev-lang/python:          2.7.5-r3, 3.3.3
dev-util/cmake:           2.8.12.2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.69
sys-devel/automake:       1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.9 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA Intel-SDP Oracle-BCLA-JavaSE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=native"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ ftp://ftp.halifax.rwth-aachen.de/gentoo/ http://ftp.halifax.rwth-aachen.de/gentoo/ rsync://ftp.halifax.rwth-aachen.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo http://gentoo.po.opole.pl http://gentoo.mirror.pw.edu.pl/ http://mirror.switch.ch/ftp/mirror/gentoo/ ftp://mirror.switch.ch/mirror/gentoo/ http://mirror.mcs.anl.gov/pub/gentoo/ rsync://mirror.mcs.anl.gov/gentoo/ ftp://mirror.mcs.anl.gov/pub/gentoo/ ftp://mirror.iawnet.sandia.gov/pub/gentoo/ http://mirror.iawnet.sandia.gov/gentoo/ http://gentoo.cites.uiuc.edu/pub/gentoo/ ftp://gentoo.cites.uiuc.edu/pub/gentoo/"
LANG="pl_PL.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j10"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync3.us.gentoo.org/gentoo-portage"
USE="acl amd64 berkdb bindist bzip2 cli consolekit cracklib crypt cxx dri fortran freetype gdbm gtk iconv ipv6 jpeg mmx modules multilib ncurses nls nptl openmp pam pcre perl png python readline session sse sse2 sse3 ssl static-libs svg tcpd threads tiff truetype unicode zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Jeroen Roovers gentoo-dev 2014-05-23 23:24:24 UTC
Please attach the entire build log to this bug report.
Comment 2 rmrmg 2014-05-24 22:55:52 UTC
Created attachment 377582 [details]
build.log.bz2
Comment 3 Larry the Git Cow gentoo-dev 2020-04-30 04:55:12 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=19089ede16991afb7044047e5848f21e0757d442

commit 19089ede16991afb7044047e5848f21e0757d442
Author:     Matthias Maier <tamiko@gentoo.org>
AuthorDate: 2020-04-30 04:48:04 +0000
Commit:     Matthias Maier <tamiko@gentoo.org>
CommitDate: 2020-04-30 04:53:54 +0000

    sci-libs/scalapack: version bump to 2.1.0
    
    Closes: https://bugs.gentoo.org/511150
    Closes: https://bugs.gentoo.org/675636
    Closes: https://bugs.gentoo.org/684750
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Matthias Maier <tamiko@gentoo.org>

 sci-libs/scalapack/Manifest               |  1 +
 sci-libs/scalapack/scalapack-2.1.0.ebuild | 71 +++++++++++++++++++++++++++++++
 2 files changed, 72 insertions(+)